Pause a pipeline's schedule
curl --request POST \
--url https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source_kind": "file",
"source_summary": "<string>",
"target_table": "<string>",
"mode": "append",
"schedule_label": "<string>",
"status": "healthy",
"owner": "<string>",
"can_edit": true,
"governance": {
"owner": "<string>",
"domain": "<string>",
"tags": [
"<string>"
],
"classify": false,
"suggest_checks": false
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"schedule": "<string>",
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger": "schedule",
"status": "queued",
"phase": "reading",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"duration_s": 123,
"rows_read": 123,
"rows_written": 123,
"checks_passed": 123,
"checks_total": 123,
"error_kind": "schema_drift",
"error": "<string>",
"schema_change": {
"added": [
"<string>"
],
"changed": [
"<string>"
]
},
"governance": {}
},
"rows_7d": 0,
"merge_keys": [
"<string>"
],
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"airflow_url": "<string>",
"spec": {},
"latest_error": {
"kind": "schema_drift",
"message": "<string>",
"schema_change": {
"added": [
"<string>"
],
"changed": [
"<string>"
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ingest pipelines
Pause a pipeline's schedule
POST
/
api
/
ingest
/
pipelines
/
{pipeline_id}
/
pause
Pause a pipeline's schedule
curl --request POST \
--url https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/ingest/pipelines/{pipeline_id}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source_kind": "file",
"source_summary": "<string>",
"target_table": "<string>",
"mode": "append",
"schedule_label": "<string>",
"status": "healthy",
"owner": "<string>",
"can_edit": true,
"governance": {
"owner": "<string>",
"domain": "<string>",
"tags": [
"<string>"
],
"classify": false,
"suggest_checks": false
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"schedule": "<string>",
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger": "schedule",
"status": "queued",
"phase": "reading",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"duration_s": 123,
"rows_read": 123,
"rows_written": 123,
"checks_passed": 123,
"checks_total": 123,
"error_kind": "schema_drift",
"error": "<string>",
"schema_change": {
"added": [
"<string>"
],
"changed": [
"<string>"
]
},
"governance": {}
},
"rows_7d": 0,
"merge_keys": [
"<string>"
],
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"airflow_url": "<string>",
"spec": {},
"latest_error": {
"kind": "schema_drift",
"message": "<string>",
"schema_change": {
"added": [
"<string>"
],
"changed": [
"<string>"
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The pipeline's id.
Response
Successful Response
Available options:
file, database, lakehouse, saas Available options:
append, overwrite, merge Available options:
healthy, failed, running, stale, paused, new Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

